Loading...
Searching...
No Matches
Tree< _RootNodeType >::DeallocateNodes< NodeType > Struct Template Reference

`#include <openvdb/tree/Tree.h>`

## Public Member Functions

| DeallocateNodes (std::vector< NodeType * > &nodes)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes

NodeType **const | mNodes

## Constructor & Destructor Documentation

## DeallocateNodes()

template<typename _RootNodeType>
template<typename NodeType>

DeallocateNodes | ( | std::vector< NodeType * > & | nodes | ) |

inline

## Member Function Documentation

## operator()()

template<typename _RootNodeType>
template<typename NodeType>

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const

inline

## Member Data Documentation

## mNodes

template<typename _RootNodeType>
template<typename NodeType>

NodeType** const mNodes